Package org.opensaml.saml.saml2.core

# Interface Status

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `StatusImpl`

public interface Status extends SAMLObject
SAML 2.0 Core Status.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local Name of Status.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`StatusCode`
`getStatusCode()`
Gets the Code of this Status.
`StatusDetail`
`getStatusDetail()`
Gets the Detail of this Status.
`StatusMessage`
`getStatusMessage()`
Gets the Message of this Status.
`void`
`setStatusCode(StatusCode newStatusCode)`
Sets the Code of this Status.
`void`
`setStatusDetail(StatusDetail newStatusDetail)`
Sets the Detail of this Status.
`void`
`setStatusMessage(StatusMessage newStatusMessage)`
Sets the Message of this Status.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Local Name of Status.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getStatusCode

@Nullable StatusCode getStatusCode()
Gets the Code of this Status.

Returns:
  Status StatusCode

### setStatusCode

void setStatusCode(@Nullable StatusCode newStatusCode)
Sets the Code of this Status.

Parameters:
  `newStatusCode` - the Code of this Status

### getStatusMessage

@Nullable StatusMessage getStatusMessage()
Gets the Message of this Status.

Returns:
  Status StatusMessage

### setStatusMessage

void setStatusMessage(@Nullable StatusMessage newStatusMessage)
Sets the Message of this Status.

Parameters:
  `newStatusMessage` - the Message of this Status

### getStatusDetail

@Nullable StatusDetail getStatusDetail()
Gets the Detail of this Status.

Returns:
  Status StatusDetail

### setStatusDetail

void setStatusDetail(@Nullable StatusDetail newStatusDetail)
Sets the Detail of this Status.

Parameters:
  `newStatusDetail` - the Detail of this Status